Ubuntu

network manager gives couldn't activate dialup service warning

Reported by Tristan Hill on 2007-09-30
98
This bug affects 2 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Alexander Sack
Hardy
High
Alexander Sack
Intrepid
High
Alexander Sack

Bug Description

Binary package hint: network-manager

Configure ppp device in /etc/network/interfaces and use network manager to make it connect. The connection works - although a warning appears in the which presumable effects network manager's knowledge of the connection:

Sep 29 23:50:45 nimitz NetworkManager: <info> Activating dialup device ukfsn via Modem (ppp) ...
Sep 29 23:50:45 nimitz pppd[6280]: Plugin pppoatm.so loaded.
Sep 29 23:50:45 nimitz pppd[6280]: pppd 2.4.4 started by root, uid 0
Sep 29 23:50:45 nimitz pppd[6280]: Using interface ppp0
Sep 29 23:50:45 nimitz pppd[6280]: Connect: ppp0 <--> 0.38
Sep 29 23:50:45 nimitz pppd[6280]: Couldn't increase MTU to 1500. Using 1492
Sep 29 23:50:48 nimitz last message repeated 3 times
Sep 29 23:50:48 nimitz pppd[6280]: CHAP authentication succeeded
Sep 29 23:50:48 nimitz pppd[6280]: CHAP authentication succeeded
Sep 29 23:50:48 nimitz pppd[6280]: local IP address XXX.XXX.XXX.XXX
Sep 29 23:50:48 nimitz pppd[6280]: remote IP address 84.45.242.67
Sep 29 23:50:48 nimitz pppd[6280]: primary DNS address 195.74.113.58
Sep 29 23:50:48 nimitz pppd[6280]: secondary DNS address 195.74.113.62
Sep 29 23:50:51 nimitz ntpdate[6324]: step time server 91.189.94.145 offset -2.497519 sec
Sep 29 23:50:51 nimitz NetworkManager: <WARN> nm_system_activate_dialup(): Couldn't activate dialup device ukfsn via Modem (ppp) - 134853016

Tristan Hill (stan) wrote :

Found in version 0.6.5-0ubuntu14 on Gutsy.

Menelaos Maglis (mmaglis) wrote :

I confirm the same behaviour.
ppp link is actually activated correctly, only NetworkManager thinks it isn't.

It makes VPN connections unavailable to NetworkManager; it seems to think there is no link to anywhere through which a VPN connection could be used.

Petri Pennanen (suvarin) wrote :

This problem also occurs when a 3g-modem (huawei e220) is connected through the gnome networking tools or wvdial (running Gutsy).

Evolution, Epiphany/Firefox and Pidgin think the network is offline. Evolution won't check for new messages, (File>Work online must be set). Epiphany won't load new pages (File>Work Offline must be unchecked). Pidgin appears to be online but will not display the buddy list (disabling and enabeling all accounts fixes this). The workarounds must be reapplied each time after a connection has been made. This has been partly reported as #151507.

Brian Murray (brian-murray) wrote :

Changing the bug's status to confirmed based on the second comment and the fact that this bug has a duplicate.

Changed in network-manager:
status: New → Confirmed
James Ward (jamesward) wrote :

I'd also like to confirm this bug in hardy. The connection via ppp can be made correctly but networkmanager doesn't seem to know that. This means that I can't connect to a VPN in nm-applet and that other applications like liferea, evolution, etc that use networkmanager to know connection status, do not know that I am connected.

Martijn vdS (martijn) wrote :

Still happens in current hardy for me

Download full text (3.3 KiB)

I also experience this issue, on release 7.10 (gutsy ):

davide@sins:~$ dpkg -s network-manager
Package: network-manager
Status: install ok installed
[...]
Architecture: amd64
Version: 0.6.5-0ubuntu16.7.10.0

The ppp0 interface is automatically activated, thus allowing to setup a dialup connection:

davide@sins:~$ cat /etc/network/interfaces
auto lo
iface lo inet loopback

iface ppp0 inet ppp
provider ppp0
auto ppp0

I can connect to ppp0 via Modem with the nm-applet, however I get the reported warning "NetworkManager: <WARN> nm_system_activate_dialup(): Couldn't activate dialup device ppp0 via Modem (ppp0)". Here's an extract of my /var/log/syslog:

Jan 5 11:58:36 sins NetworkManager: <info> Activating dialup device ppp0 via Modem (ppp0) ...
Jan 5 11:58:36 sins pppd[6216]: pppd 2.4.4 started by root, uid 0
Jan 5 11:58:36 sins ntpdate[6227]: can't find host ntp.ubuntu.com
Jan 5 11:58:36 sins ntpdate[6227]: no servers can be used, exiting
Jan 5 11:58:36 sins NetworkManager: <WARN> nm_system_activate_dialup(): Couldn't activate dialup device ppp0 via Modem (ppp0) - 6673456
Jan 5 11:58:37 sins chat[6232]: timeout set to 60 seconds
Jan 5 11:58:37 sins chat[6232]: abort on (ERROR)
Jan 5 11:58:37 sins chat[6232]: abort on (BUSY)
Jan 5 11:58:37 sins chat[6232]: abort on (VOICE)
Jan 5 11:58:37 sins chat[6232]: abort on (NO CARRIER)
Jan 5 11:58:37 sins chat[6232]: abort on (NO DIALTONE)
Jan 5 11:58:37 sins chat[6232]: abort on (NO DIAL TONE)
Jan 5 11:58:37 sins chat[6232]: abort on (NO ANSWER)
Jan 5 11:58:37 sins chat[6232]: send (ATZ^M)
Jan 5 11:58:37 sins chat[6232]: send (AT&FH0M0^M)
Jan 5 11:58:37 sins chat[6232]: expect (OK)
Jan 5 11:58:37 sins chat[6232]: ^M
Jan 5 11:58:37 sins chat[6232]: OK
Jan 5 11:58:37 sins chat[6232]: -- got it
Jan 5 11:58:37 sins chat[6232]: send (ATDT*99#^M)
Jan 5 11:58:37 sins chat[6232]: timeout set to 75 seconds
Jan 5 11:58:37 sins chat[6232]: expect (CONNECT)
Jan 5 11:58:37 sins chat[6232]: ^M
Jan 5 11:58:37 sins chat[6232]: ATZ^M^M
Jan 5 11:58:37 sins chat[6232]: OK^M
Jan 5 11:58:37 sins chat[6232]: AT&FH0M0^M^M
Jan 5 11:58:37 sins chat[6232]: OK^M
Jan 5 11:58:38 sins chat[6232]: ATDT*99#^M^M
Jan 5 11:58:38 sins chat[6232]: CONNECT
Jan 5 11:58:38 sins chat[6232]: -- got it
Jan 5 11:58:38 sins pppd[6216]: Serial connection established.
Jan 5 11:58:38 sins pppd[6216]: Using interface ppp0
Jan 5 11:58:38 sins pppd[6216]: Connect: ppp0 <--> /dev/ttyS0
Jan 5 11:58:39 sins pppd[6216]: CHAP authentication succeeded
Jan 5 11:58:39 sins pppd[6216]: CHAP authentication succeeded
Jan 5 11:58:39 sins kernel: [ 125.326408] PPP BSD Compression module registered
Jan 5 11:58:39 sins kernel: [ 125.364076] PPP Deflate Compression module registered

The nw-applet shows the message "No network connection", although the ppp connection has in fact been established.

Consequences:

- VPN connections cannot be setup (the configured profiles are grayed out, see attachment);
- Evolution remains in offline mode. It needs to be set to online mode manually, through the entry File -> Work online.

This behaviour was reported here: http://foodfight.org/log/Interweb/xs4all-umts.html - "Network...

Read more...

solitone (davide-cavallari) wrote :

Please notice that the same problem has also been reported here:

http://osdir.com/ml/network.networkmanager.devel/2006-05/msg00023.html

Kevin Hudson (kevinlhudson) wrote :

This is a problem for Traveling Admins like myself. We don't always have access to wifi or other broadband servies. But we do usually, or at least in my case have a broadband cellular Modem. I spent several hours trouble shooting this only to find it was working all the time. I did finally down load wvdial and gnome-ppp. But since nm does not recognise the ppp connection is up, I have to spend time bringing up vpn from the command line and coaxing other applications to work in on-line mode.

I downloaded minicom for trouble shooting. My modem accepts all expected AT command strings and returns all expected reults. This seems to be one of those basic fundamental problems that would be simple to fix. I would like to be willing to fix it myself and submit a diff patch, But I have no idea where to look for the root of the problem.

Thanx
Kevin Hudson

James Ward (jamesward) wrote :

It would be really great to have this bug fixed for the hardy release. This bug is a major annoyance for those who use dial up and network manager. Is this bug up-stream?

sebek (sebeeek) wrote :

I have the same bug description on 7.04 and 7.10 on 2 different laptops. While the ppp connection is launched correctly, the nm-applet just show the "no connection" icon.

However, contrary to current bug description, the logs don't show the message :
"NetworkManager: <WARN> nm_system_activate_dialup(): Couldn't activate dialup device ppp0 via Modem (ppp0)"

messages :
Mar 6 09:27:36 bourdon chat[7664]: timeout set to 60 seconds
Mar 6 09:27:36 bourdon chat[7664]: abort on (ERROR)
Mar 6 09:27:36 bourdon chat[7664]: abort on (BUSY)
Mar 6 09:27:36 bourdon chat[7664]: abort on (VOICE)
Mar 6 09:27:36 bourdon chat[7664]: abort on (NO CARRIER)
Mar 6 09:27:36 bourdon chat[7664]: abort on (NO DIALTONE)
Mar 6 09:27:36 bourdon chat[7664]: abort on (NO DIAL TONE)
Mar 6 09:27:36 bourdon chat[7664]: abort on (NO ANSWER)
Mar 6 09:27:36 bourdon chat[7664]: send (ATZ^M)
Mar 6 09:27:37 bourdon chat[7664]: send (AT&FH0L3^M)
Mar 6 09:27:37 bourdon chat[7664]: expect (OK)
Mar 6 09:27:37 bourdon chat[7664]: ATZ^M^M
Mar 6 09:27:37 bourdon chat[7664]: OK
Mar 6 09:27:37 bourdon chat[7664]: -- got it
Mar 6 09:27:37 bourdon chat[7664]: send (ATDT122^M)
Mar 6 09:27:37 bourdon chat[7664]: timeout set to 75 seconds
Mar 6 09:27:37 bourdon chat[7664]: expect (CONNECT)
Mar 6 09:27:37 bourdon chat[7664]: ^M
Mar 6 09:27:37 bourdon chat[7664]: AT&FH0L3^M^M
Mar 6 09:27:37 bourdon chat[7664]: OK^M
Mar 6 09:27:37 bourdon chat[7664]: ATDT122^M^M
Mar 6 09:28:10 bourdon chat[7664]: CONNECT
Mar 6 09:28:10 bourdon chat[7664]: -- got it
Mar 6 09:28:10 bourdon pppd[7557]: Serial connection established.
Mar 6 09:28:10 bourdon pppd[7557]: Using interface ppp0
Mar 6 09:28:10 bourdon pppd[7557]: Connect: ppp0 <--> /dev/modem
Mar 6 09:28:14 bourdon pppd[7557]: PAP authentication succeeded
Mar 6 09:28:15 bourdon pppd[7557]: local IP address X.X.X.X
Mar 6 09:28:15 bourdon pppd[7557]: remote IP address X.X.X.X
Mar 6 09:28:15 bourdon pppd[7557]: primary DNS address X.X.X.X
Mar 6 09:28:15 bourdon pppd[7557]: secondary DNS address X.X.X.X

I also want to confirm that this is a serious issue.

There is a number of problems following the simple fact that network manager does not see dial-up connections. Not only the ones Petri Pennanen mentions but also another really annoying issue:

network-manager does not let me start my VPN connection when I am "offline" (when I am really online with my huawei e220 modem). The VPN is just greyed out! This is of course a silly problem because I only set up the VPN so that my clients can access their data from outside - and roadwarriors nowadays use 3g modems and not wlan hotspots!

I am sure there are even more issues that the ones mentioned. There really should be a way to let gnome (or network-manager) know my online/offline status when on dial-up. Even if network-manager 0.7 does not make it into hardy there should be at least some kind of workaround...

James Ward (jamesward) wrote :

Does network-manager 0.7 solve this problem?

Using hardy beta and I also have this problem.

bendis (bendis) wrote :

Hi,

I also experience this issue, on Kubuntu Hardy beta. I looked in th source package and successfully tracked the error down - the problem is in the debian patch file "debian/patches/05-debian_backend.patch". NetworkManager uses ifup/ifdown to manage dialup connections and the original debian backend does not check the status code of these commands. The mentioned patch attempts to add such a check - but with no luck. Let's see:

@@ -587,12 +641,18 @@
                if (strcmp (dialup, config->name) == 0)
                {
                        char *cmd;
+ int status;

                        nm_info ("Activating dialup device %s (%s) ...", dialup, (char *) config->data);
                        cmd = g_strdup_printf ("/sbin/ifup %s", (char *) config->data);
                        nm_spawn_process (cmd);
                        g_free (cmd);
- ret = TRUE;
+ if (status == 0) {
+ ret = TRUE;
+ } else {
+ nm_warning ("Couldn't activate dialup device %s (%s) - %d", dialup, (char *) config->data, status);
+ ret = FALSE;
+ }
                        break;
                }
        }

As you can see, the patch adds the status variable and checks its value - but the status variable is never assigned! That's why the NetworkManager log shows such bogus return codes:

>
> Sep 29 23:50:51 nimitz NetworkManager: <WARN> nm_system_activate_dialup(): Couldn't activate dialup device ukfsn via Modem (ppp) - ***134853016***
>

To fix this, the return value from nm_spawn_process must be assigned to the status variable (in nm_system_deactivate_dialup and nm_system_activate_dialup functions).

                        status = nm_spawn_process (cmd);

The fixed debian patch is attached to this comment.

James Ward (jamesward) wrote :

Someone please commit this patch.

Dave Rawks (drawks.) wrote :

Still present in Hardy Final, 4 Dupes, confirmed status a submitted patch and still no official fix 8 months later. Really?!?!

Posted from my EVDO modem while "offline"

James Ward (jamesward) wrote :

yeah. we really need to get this fixed. I think that this might also be this bug:
https://bugs.launchpad.net/ubuntu/+source/firefox-3.0/+bug/191889/

bendis (bendis) wrote :

I just posted a comment to that bug (#191889) that links to this issue. I hope that it will increase chances to be it fixed since that bug recieves much more attention that this one.

Alexander Sack (asac) wrote :

taking this.

Changed in network-manager:
importance: Undecided → High
status: Confirmed → In Progress
assignee: nobody → asac
status: New → In Progress
Kim Alvefur (zash) wrote :

Please fix this!

Alexander Sack (asac) wrote :

bendis, i would love to review and apply your patch ... however, the diff.gz is not a form i can really use. can you either push a bzr branch or provide just a minimal patch for the debian/patches/ directory?

Changed in network-manager:
assignee: nobody → asac
Alexander Sack (asac) wrote :

once i have the patch and it really flies, I will consider to do an SRU in hardy.

Changed in network-manager:
importance: Undecided → High
bendis (bendis) wrote :

Hi! I'm attaching the minimal patch that patches debian/patches/05-debian_backend.patch. I hope it will be useful.

On Fri, May 16, 2008 at 01:48:11PM -0000, bendis wrote:
> Hi! I'm attaching the minimal patch that patches
> debian/patches/05-debian_backend.patch. I hope it will be useful.
>
> ** Attachment added: "A patch that should fix this bug (adds missing assignment to the status variable in nm_system_deactivate_dialup and nm_system_activate_dialup functions)."
> http://launchpadlibrarian.net/14559263/debian_backend_dialup.patch
>

This is a patch of a patch ... no the patch itself. The idea is to:

 ln -s debian/patches
 quilt push -a
 quilt new 45_debian_backup_fix_dialup.patch
 quilt add path/to/the/file/you/want/to/change.c
 editor path/to/the/file/you/want/to/change.c
 quilt refresh --diffstat -U8 --no-timestamps

and then send the new 45_debian_backup_fix_dialup.patch

anyway ... will do this now. Thanks!

 - Alexander

Alexander Sack (asac) wrote :

committed fix to main packaging branch (see top of bug webpage). To test build network manager like:

bzr branch lp:~ubuntu-core-dev/network-manager/ubuntu.0.6.x network-manager
cd network-manager
sudo apt-get build-dep network-manager
dpkg-buildpackage -rfakeroot -b

and test the package.

Once i have got some positive confirms that this actually fixes dialup I will upload to intrepid and prepare SRU for hardy.

Thanks

Changed in network-manager:
status: In Progress → Fix Committed
Dave Rawks (drawks.) wrote :

The above committed patch doesn't appear to work as advertised. NM doesn't indicate connected on the icon until after I've connected via wifi then disconnected then started my evdo connection by "Connect to PPP0 via modem", then disconnecting ppp0 doesn't return the nm-applet icon to the disconnected state. So, it feels a little closer, but not close enough.

Should NM recognize if a ppp connection has initiated via a dialer once this patch applied (gnome-ppp or kppp I mean)? If so, for me it doesn't work. I use 8.04 LTS with a HUAWEI E220 HSDPA modem and kppp dialer. Please let me know if you need further information about my environment or any log file required.

Thanks,
Laszlo

No, NM with this patch recognizes only dial up connections that were
established via itself (I use knetworkmanager to connect my modem). I don't
know anything about gnome-ppp, but kppp is incompatible with NM - NM
uses 'pon' and 'poff' utilities to connect/disconnect dial up connections (in
debian based systems), but kppp manages dialup connections on its own.

Regards
Bendis

Dne Thursday 29 of May 2008 15:12:27 Komlody Laszlo napsal(a):
> Should NM recognize if a ppp connection has initiated via a dialer once
> this patch applied (gnome-ppp or kppp I mean)? If so, for me it doesn't
> work. I use 8.04 LTS with a HUAWEI E220 HSDPA modem and kppp dialer.
> Please let me know if you need further information about my environment
> or any log file required.
>
> Thanks,
> Laszlo

Alexander Sack (asac) wrote :

anyone can test?

antistress (antistress) wrote :

my facther runs Ubuntu 8.04 and has the Bug #191889 in firefox-3.0 (comment 18 of present Bug) : Firefox 3 always starts in Offline Mode
I'd be happy to test that fix but could you explain how i can test it ?

On Fri, May 30, 2008 at 12:00:31PM +0200, Komlódy László wrote:
> Alexander,
>
> Unfortunately I was not able to setup network manager to work with my
> HUAWEI E220 3G USB modem. I checked several forums on the net and just
> found one more idea that I did not try yet. It says after the ppp0 setup I
> need to disable networking in the network manager applet menu to check if
> 3G connection works fine.
(Please comment on bug by replying to the bugmail or using the web form
next time.)

The idea of getting ppp work with network manager is to use the System
-> Adminintration -> Network dialog and setup a ppp connection there.

Then test if that alone works. To test that you have to stop network
manager by running:

 sudo /etc/dbus*/event*/25NetworkManager stop

that should also make your applet disappear from tray.

Then take a look at your /etc/network/interfaces.

If you configured your PPP connection in gnome network admin (like
above), there should be a ppp iface definition somewhere.

Use that name to test on the console like (lets assume the iface name
is ppp-dsl):

# bring down
 sudo ifdown ppp-dsl

# bring up
 sudo ifup ppp-dsl

If that doesnt work, its not supposed to work with network manager in
any case. So take care that it works before continuing.

Once that works start network manager like

 sudo /etc/dbus*/event*/25NetworkManager start

and see if you can connect to your ppp when using the applet menu.

 - Alexander

Alexander,

First of all thanks for your guide to setup NM with my HUAWEI E220 USB modem. I didn't want to post this here as it is not connecting directly to the issue. Anyway please find herewith my findings.

I think the main problem is that my Ubuntu 8.04 LTS distribution mounts the USB modem to different devices almost during all start-up. Let me describe in details. I set up NM to use ppp connection via the USB modem, which is mounted to /dev/ttyUSB0, however sometimes the system mounts the modem to /dev/ttyUSB1 or /dev/ttyUSB3, thus the system can't recognize my modem at all, hence NM crashed (simply did nothing) without any error message.

When I was lucky and the system mounted the modem to /dev/ttyUSB0 and ppp connection started, Firefox started automatically in online mode. It seems the fix is working fine.

Regarding the applet. After I installed the fix the applet on my system was disappeared under root account while a normal user can see the applet on its own desktop.

Do you have any idea how can I set up my system to mount the modem always to /dev/ttyUSB0?
What can I do to see the applet again?

Thanks in advance,
Laszlo

Alexander Sack (asac) wrote :

On Mon, Jun 02, 2008 at 11:08:55AM -0000, Komlody Laszlo wrote:
> Alexander,
>
> First of all thanks for your guide to setup NM with my HUAWEI E220 USB
> modem. I didn't want to post this here as it is not connecting directly
> to the issue. Anyway please find herewith my findings.
>
> I think the main problem is that my Ubuntu 8.04 LTS distribution mounts
> the USB modem to different devices almost during all start-up. Let me
> describe in details. I set up NM to use ppp connection via the USB
> modem, which is mounted to /dev/ttyUSB0, however sometimes the system
> mounts the modem to /dev/ttyUSB1 or /dev/ttyUSB3, thus the system can't
> recognize my modem at all, hence NM crashed (simply did nothing) without
> any error message.
>
> When I was lucky and the system mounted the modem to /dev/ttyUSB0 and
> ppp connection started, Firefox started automatically in online mode. It
> seems the fix is working fine.
>
> Regarding the applet. After I installed the fix the applet on my system
> was disappeared under root account while a normal user can see the
> applet on its own desktop.
>
> Do you have any idea how can I set up my system to mount the modem always to /dev/ttyUSB0?
> What can I do to see the applet again?
>

Dont use ubuntu desktop as "root". that should not be necessary. If
you have a user with admin permissions that should be enough to do
everything you want.

Please post your /etc/network/interfaces wit the working ppp setup to
continue.

Thanks,

 - Alexander

Alexander Sack (asac) wrote :

anyone with ppp could follow the instructions i gave above and see if things work?

Thanks!

Alexander,

Sorry for the delay but I was not at the PC thus I was not able to post the interface file till now. Please find it enclosed.

Regarding the root acess I mentioned it incorrectly. I use a user with admin permission.

Sorry for inconveniences,
Laszlo

Alexander Sack (asac) wrote :

On Thu, Jun 05, 2008 at 01:52:32PM -0000, Komlody Laszlo wrote:
> Alexander,
>
> Sorry for the delay but I was not at the PC thus I was not able to post
> the interface file till now. Please find it enclosed.
>
> Regarding the root acess I mentioned it incorrectly. I use a user with
> admin permission.
>
> Sorry for inconveniences,
> Laszlo

>
> ** Attachment added: "Interface file HUAWEI E220 with ppp connection"
> http://launchpadlibrarian.net/15058653/C%3A%5CWork%5Cinterfaces
>

maybe adding a

iface eth0 inet dhcp

helps?

 status incomplete

 - Alexander

Changed in network-manager:
status: Fix Committed → Incomplete

I've tried Alexander Sack's fix, and it fixes the firefox off-line/on-line bug for me.

I use a Hauwei 3G connection, and since Hardy, I can use NetworkManager->DialUp Connections->modem ppp0 to connect to 3G (I couldn't in gutsy.) In stock Hardy, firefox3 starts off-line. With Alexander's fix, Firefox3 starts on-line.

The fix makes it so firefox 3 starts "on-line" instead of "off-line", which to me is a step in the right direction. Thanks Alexander

It needs a bit more work, though: nm-applet/networkmanager itself still thinks that the link is down, which makes it impossible to use NetworkManager's VPN configs on-top of dialup. NetworkManager fails an assertation in /var/log/syslog:

Jun 21 12:54:09 nacmacfeegle NetworkManager: nm_device_is_activating: assertion `dev != NULL' failed

nm-tool doesn't list ppp0. Dunno if this is related, or not. Don't really care :) I want my VPN.

So, /etc/network/interfaces:

auto lo
iface lo inet loopback

auto eth1
iface eth1 inet dhcp

iface ppp0 inet ppp
provider ppp0
auto ppp0

/etc/ppp/peers/ppp0 (generated by Network configuration tool)

/dev/ttyUSB0
115200
connect 'chat -v -f /etc/chatscripts/ppp0'
user "a"
usepeerdns
defaultroute
persist

/etc/chatscripts/ppp0 (generated by Network configuration tool)

ABORT 'BUSY'
ABORT 'NO CARRIER'
ABORT 'ERROR'
'' AT
OK AT+CGATT=1
OK AT+CGDCONT=1,"IP","internet"
OK ATDT*99***1#

PS. NetworkManager gprs config fails if your Hauwei SIM card needs a pin code -- completely unrelated bug.

So: fix incomplete, but a step forward:

$ apt-cache policy network-manager
network-manager:
  Installed: 0.6.6-0ubuntu7
  Candidate: 0.6.6-0ubuntu7
  Version table:
 *** 0.6.6-0ubuntu7 0
        100 /var/lib/dpkg/status
     0.6.6-0ubuntu5 0
        500 http://za.archive.ubuntu.com hardy/main Packages

How do I figure out if it's rev123?

Christophe Charlot (c-charlot) wrote :

Hello, I just discovered this bug and how to connect with a ppp connection with network manager.

So, my connection is set up and working : I use an USB UMTS modem (Icon 2) with orange (france) as a provider

I did set up my connection according to Alexander's instruction above, but NM still thinks I'm not connected and so I can't access my VPN.

Which logs and/or configurations files do you need ?

Thanks a lot for your work !!

Alexander Sack (asac) wrote :

Thanks for testing. i doubt that we will be able to bring a real fix to get the complete network manager experience (e.g. with VPN on top). However, this fix appears to be an improvement. Ill upload it to intrepid and after some baking look how to get this into hardy.

Changed in network-manager:
status: Incomplete → In Progress
Alexander Sack (asac) wrote :

fix committed for intrepid. uploading package.

Changed in network-manager:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.6.6-0ubuntu7

---------------
network-manager (0.6.6-0ubuntu7) intrepid; urgency=low

  * Fix LP: #124706 - "Cancel 'Wireles Key Required' dialog, can't connect on
    subsequent attempt"; we only blacklist and AP if receiving the secret
    ends up with a dbus error != NMI_DBUS_USER_KEY_CANCELED_ERROR
    - add debian/patches/44_lp124706_dont_blacklist_ap_on_user_cancel_key.patch
    - update debian/patches/series
  * Fix LP: #147119 - "network manager gives couldn't activate dialup service
    warning"; we properly set status to the return value of nm_spawn_process;
    thanks to bendis <email address hidden> for finding this glitch.
    - add debian/patches/45_debian_backend_fix_dialup.patch
    - update debian/patches/series
  * Fix LP: #203016 - "Memory Leak in NetworkManager"; Robert Knight found a
    leak the nm_dbus_net.c code.
    - add debian/patches/46_lp203016_nm_dbus_get_ap_from_object_path-leak-fix.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Thu, 26 Jun 2008 16:45:04 +0200

Changed in network-manager:
status: Fix Committed → Fix Released
Christophe Charlot (c-charlot) wrote :

Ok, thanks for commiting this fix in intrepid... and working on it for hardy :)

Shall I fill another bug report about the impossibility to connect to a VPN with networkmanager, or do wr have to wait for the release of 0.7 ?

Alexander Sack (asac) wrote :

On Thu, Jun 26, 2008 at 09:26:32PM -0000, Christophe Charlot wrote:
> Ok, thanks for commiting this fix in intrepid... and working on it for
> hardy :)
>
> Shall I fill another bug report about the impossibility to connect to a
> VPN with networkmanager, or do wr have to wait for the release of 0.7 ?
>

better wait for NM 0.7. NM 0.6.6 PPP support is unlikely to get fixed
properly and NM 0.7 should just work. if you still see this once NM
0.7 is uploaded, please open a new bug.

 - Alexander

Peter Kerekfy (kerekfyp) wrote :

Alexander,

When to expect a 0.7 NM build to be uploaded?

Thanks,
Peter.

Alexander Sack (asac) wrote :

On Tue, Jul 08, 2008 at 11:42:25AM -0000, Peter Kerekfy wrote:
> Alexander,
>
> When to expect a 0.7 NM build to be uploaded?

We are preparing packages (of trunk snapshot). You can already test
them by installing from the network-manager team PPA:

  http://www.asoftsite.org/s9y/archives/145-NetworkManager-0.7-is-back-New-PPA.html

 - Alexander

loveunit (me-loveunit) wrote :

Hi, I've tried the fix given by alexander on hardy 8.04, but this has not cured the network-manger issues.

FF3 still starts offline, and I cannot enter Prism, which thinks I am offline, but offers no way to change this.

I followed the instructions as given, but got a number of errors on the last line:

dpkg-buildpackage -rfakeroot -b

can you please explain a little more what this mean, and how I might be able to get this to work, as I was trying to find a replacement for google talk, as pidgin seems to have fallen victim to the NM issue also ( I connect my 3G USB via a script ~ ppp0 ).

If I can offer any more info. please ask --- thanks for all your hard work.

On 22/07/2008, loveunit <email address hidden> wrote:
>
> ( I connect my 3G USB via a script ~ ppp0 ).

That's the problem. If you use Network Manager, you cannot use your own
scripts to bring up 3G. Uninstall NetworkManager, or use NetworkManager to
connect to 3G.

Regards,
Berend

This is also a problem for me, I use the Vodafone Mobile Connect Driver for my 3G card, but nm still thinks i'm offline. Maybe nm should detect a ppp connection going up instead of trying to control the connection and at least give access to vpn.

Audun Sæther (auduns) wrote :

Just confirming. Still an issue in 8.10, using an ethernet-connection and Prism-apps. "No connection established".

On Wed, Oct 08, 2008 at 08:48:29PM -0000, Audun Sæther wrote:
> Just confirming. Still an issue in 8.10, using an ethernet-connection
> and Prism-apps. "No connection established".
>

If you have your network configured in /etc/network/interfaces, you
could try to set NM to managed=true in
/etc/NetworkManager/nm-system-settings.conf

However, we will try to fix the online state for managed=false too.

Maybe post your /etc/network/interfaces so i can check that you would
get fixed by that.

 - Alexander

darko (darko2) wrote :

I have the same problem. When I connect to 3G with wvdial (no serial connection in NM), I can't use VPN connection configured in NM because it is disabled (grey). It would be nice to have serial modem option in network manager.

jsenlai (jsenebox) wrote :

Still have same problem in Intrepid. Connection not detected. NM, Firefox and Pidgin do not automatically detect connection.
--
Network Manager 0.7, VMC 1.99.17

wt6869 (b-thibodeaux75) wrote :

When I set my connection up in NM - I did as instructed on the websites I read. I went into NM and unchecked the Enable roaming box and set up the automatic configuration DHCP.
I could not connect to any of the internet programs (firefox, pidgen, thunderbird).
I played with connection settings a little and found that when I set the configuration to local zeroconf network(ipv4 LL) all of my programs worked. I am using a sprint sierra wireless card and my programs all now work.
Hope this works for you all.

Benjamin Fogel (benjaminfogel) wrote :

This problem still occurs in Jaunty. If I use a "normal" connection in NM, I have no problems apart from being unable to connect using the cellular modem - it keeps on prompting me for a password - but if I connect using wvdial, NM doesn't see the connection at all, and as a result any programs which use NM's status don't work *cough* Pidgin *cough*

The wvdial.conf which I use is as follows:
[Dialer Defaults]
Phone = *99#
Username = abc
Password = abc
New PPPD = yes
Modem = /dev/ttyUSB3
Baud = 7200000
Init = atz
Init2 = AT+CGDCONT=1,"IP","internetg"
ISDN = off
Modem Type = Analog Modem
Dial Attempts = 1
Abort on No Dialtone = off
Stupid Mode = on

As can be seen, no real authentication is done, and the modem is treated as a normal (albeit rather fast) serial modem. When the modem is inserted, I get a nice wizard which tries to set up the connection and then it refuses to connect.

nico (nicnocquee) wrote :

Same problem here like Benjamin Fogel.
I used gnome-ppp (still wvdial, isn't it?) in jaunty to connect through usb modem in japan.
cause i couldn't get it working with wizard from networkmanager. Maybe it's because we cannot set up init string and stupid mode using that wizard from network manager, imo. FYI, it even killed my modem before when I used the network manager in hardy to connect to the internet, took a week to have it fixed :( That's why i don't want to use network manager anymore to connect through my modem.
the funny thing is, this problem didn't occur in Ibex, I could just connect to internet using gnome-ppp then pidgin can connect to my accounts too.
the only temporary workaround is to disable my account in Pidgin, then re-enable it again. But it's so annoying.

So i wonder, which one is responsible for this? pidgin (and firefox, etc), or network manager?

Dave Rawks (drawks.) wrote :

Please people! this is ridiculous, read the damned bug description text before reporting that you are affected by it. If you aren't using network manager to bring up your connection then you should be filing a different bug. This bug is specific to network manager not properly setting state to "online" when using it's own facilities to setup a ppp connection. Everyone on this thread talking about how they "have this bug" but aren't using network manager to connect are in the wrong thread!

Changed in network-manager (Ubuntu Hardy):
status: In Progress → Fix Released
Download full text (19.2 KiB)

Please vote for Jade Nickol! (Hudson)

---------- Forwarded message ----------
From: Leslie Hudson <email address hidden>
Date: Thu, Aug 11, 2011 at 2:07 PM
Subject: Jade Nickol
To: Anita Asmar <email address hidden>, Dennis Stoffel <email address hidden>,
Geri Sudman <email address hidden>, gmunday <email address hidden>, "
<email address hidden>" <email address hidden>, "J. Rossiter" <
<email address hidden>>, Jamie Winn <email address hidden>, KEVIN GOSSELIN <
<email address hidden>>, Kevin Hudson <email address hidden>, Leslie
Hudson <email address hidden>, Mary Jo <email address hidden>,
<email address hidden>, <email address hidden>, <email address hidden>,
youtube video upload <pfya5fzyy4w9@m.youtube.com>,
<email address hidden>, <email address hidden>,
<email address hidden>, <email address hidden>, aerica hall <
<email address hidden>>, <email address hidden>, Alice Turkington <
<email address hidden>>, alicia jeffers <email address hidden>, Allison Medley
<email address hidden>, Alysia Stanton <
<email address hidden>>, amber horn <email address hidden>,
<email address hidden>, Andrea Hukill <email address hidden>,
<email address hidden>, <email address hidden>, Andy Kantowski <
<email address hidden>>, <email address hidden>, angela sharbino <
<email address hidden>>, Anita Asmar <email address hidden>, Anita Asmar <
<email address hidden>>, Anita Kessler <email address hidden>, Antonia
DeNardo <email address hidden>, Antonia DeNardo <email address hidden>,
Arlene <email address hidden>, <email address hidden>,
<email address hidden>, <email address hidden>, "
<email address hidden>" <email address hidden>, Becky Hall <email address hidden>,
Belinda McCorkle <email address hidden>, Beverly Farmer <
<email address hidden>>, <email address hidden>, BIG
Tone <email address hidden>, Brandee Webb <
<email address hidden>>, Brett Walker <email address hidden>,
Bridgette <email address hidden>, Bridgette <email address hidden>,
<email address hidden>, Briggitte Elliott <
<email address hidden>>, <email address hidden>,
<email address hidden>, Cami Stehr <email address hidden>, "
<email address hidden>" <email address hidden>, <email address hidden>,
Carol Hodam <email address hidden>, Carolyn Wimp <email address hidden>,
<email address hidden>, <email address hidden>, <email address hidden>,
Cathy Sullivan <email address hidden>, cathysully <email address hidden>,
<email address hidden>, Chessica Moon <email address hidden>,
<email address hidden>, Chris Ann Seay <email address hidden>,
Chris Brasher <email address hidden>, Chris Brasher <email address hidden>,
Chris Freihofer <email address hidden>, "<email address hidden>" <
<email address hidden>>, Christie Butler <email address hidden>, Christina A
Strange <email address hidden>, Christy Anne Sullivan <
<email address hidden>>, Christy Marin <email address hidden>, Cindy
Chavez <email address hidden>, Cindy Hitt <
<email address hidden>>, Cindy Nelson <email address hidden>, Cinergy
Studios <cin...

To post a comment you must log in.